connectivityqt::VpnConnectionsListModel Class Reference

`#include <connectivityqt/vpn-connections-list-model.h>`

Inheritance diagram for connectivityqt::VpnConnectionsListModel:
[legend]
Collaboration diagram for connectivityqt::VpnConnectionsListModel:
[legend]

## Classes

class | Priv

## Public Types

enum | Roles { RoleId , RoleActive , RoleActivatable , RoleType , RoleConnection }

## Public Slots

void | add (VpnConnection::Type type)
void | importFile (VpnConnection::Type type, const QString &filepath)
void | remove (VpnConnection *connection)

## Signals

void | addFinished (VpnConnection *connection)

## Public Member Functions

| LOMIRI_DEFINES_PTRS (VpnConnectionsListModel)
| VpnConnectionsListModel (const internal::VpnConnectionsListModelParameters &parameters)
| ~VpnConnectionsListModel ()
int | columnCount (const QModelIndex &parent) const override
int | rowCount (const QModelIndex &parent) const override
QVariant | data (const QModelIndex &index, int role) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QHash< int, QByteArray > | roleNames () const override

## Protected Attributes

std::shared_ptr< Priv > | d

## Member Enumeration Documentation

## Roles

enum connectivityqt::VpnConnectionsListModel::Roles

Enumerator
RoleId |
RoleActive |
RoleActivatable |
RoleType |
RoleConnection |

## Constructor & Destructor Documentation

## VpnConnectionsListModel()

connectivityqt::VpnConnectionsListModel::VpnConnectionsListModel | ( | const internal::VpnConnectionsListModelParameters & | parameters | ) |

## ~VpnConnectionsListModel()

connectivityqt::VpnConnectionsListModel::~VpnConnectionsListModel | ( |  | ) |

## Member Function Documentation

## add

void connectivityqt::VpnConnectionsListModel::add | ( | VpnConnection::Type | type | ) |

slot

## addFinished

void connectivityqt::VpnConnectionsListModel::addFinished | ( | VpnConnection * | connection | ) |

signal

## columnCount()

int connectivityqt::VpnConnectionsListModel::columnCount | ( | const QModelIndex & | parent | ) | const

override

## data()

QVariant connectivityqt::VpnConnectionsListModel::data | ( | const QModelIndex & | index,
|  | int | role ) const

override

## flags()

Qt::ItemFlags connectivityqt::VpnConnectionsListModel::flags | ( | const QModelIndex & | index | ) | const

override

## importFile

void connectivityqt::VpnConnectionsListModel::importFile | ( | VpnConnection::Type | type,
|  | const QString & | filepath )

slot

## LOMIRI_DEFINES_PTRS()

connectivityqt::VpnConnectionsListModel::LOMIRI_DEFINES_PTRS | ( | VpnConnectionsListModel |  | ) |

## remove

void connectivityqt::VpnConnectionsListModel::remove | ( | VpnConnection * | connection | ) |

slot

## roleNames()

QHash< int, QByteArray > connectivityqt::VpnConnectionsListModel::roleNames | ( |  | ) | const

inline override

## rowCount()

int connectivityqt::VpnConnectionsListModel::rowCount | ( | const QModelIndex & | parent | ) | const

override

## setData()

bool connectivityqt::VpnConnectionsListModel::setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role )

override

## Member Data Documentation

## d

std::shared_ptr<Priv> connectivityqt::VpnConnectionsListModel::d

protected

The documentation for this class was generated from the following files:

- vpn-connections-list-model.h
- vpn-connections-list-model.cpp